Subject: [Simple] RE: draft-ietf-simple-presence-03.txt

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 2 Oct 2001 02:49:47 -0400

> -----Original Message-----
> From: James Undery [mailto:[email-masked]]
> Sent: Tuesday, September 25, 2001 6:32 AM
> To: Jonathan Rosenberg
> Cc: SIMPLE
> Subject: draft-ietf-simple-presence-03.txt
> 
> 
> Hi,
> 
> This is really late I know, and I failed to read the 02 draft at all.
> 
> Section 3. Once authenticated I'd expect a 202, once authorised I'd
> expect a 200. 

Yup. More legacy text from when we were mandated a 202 in all cases. I've
fixed.

> (I've also a nit about saying "subscription is carried
> as any other INVITE" I think "non-INVITE" is better, but I don't
> really care about that.)

Actually, "request" is the right term, and I updated to use that.

> 
> Section 5.7 The use of the word accepted to have a different meaning
> to "202 Accepted", is confusing, authorised is probably better.

Changed. I also clarified that all 2xx responses generate a NOTIFY, and that
this NOTIFY SHOULD be bogus for pending subscriptions.

> Also I
> believe polite blocking is best done with 202 I think 200 should show
> I am authorised (as per previous text in this section).

No, I disagree. The definition of polite blocking is that the subscriber
can't tell that they've been blocked, and it looks like its been okayed.
This would imply a 200.

> 
> Section 5.8 Should say "a NOTIFY MUST be sent after a 2xx response to
> the SUBSCRIBE has been sent." i.e. s/200/2xx/

Fixed.

> 
> Section 5.9 first paragraph only s/200/2xx/

Fixed.

Thanks for your comments.

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com